List saved views in a project
GET
/v1/projects/{projectId}/saved-viewscurl -X GET 'https://api.embodiflow.io/v1/projects/{projectId}/saved-views' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- projectIdstring必填
查询参数
- pageSizenumber
Page size (default 25, maximum 100). Over-maximum is refused.
- pageTokenstring
Opaque page token from the previous response.
响应
Success
- dataarray<SavedViewDto>必填
- savedViewIdstring必填
- namestring必填
- filterobject必填
- sharedone of必填
- createdBystring必填
- isMineone of必填
- updatedAtstring必填
- nextPageTokenstring
Opaque AIP-158 page token. Omitted when the collection is exhausted.
- metaobject必填
- pageSizenumber必填
- totalCountnumber
- truncatedone of
- requestIdstring
响应示例
{
"data": [
{
"savedViewId": "string",
"name": "string",
"filter": {
"verdict": "warning",
"failingCheck": "string",
"recordingId": "string",
"collectionOrderId": "string",
"collectionTaskId": "string",
"collectorId": "string",
"uploadedAfter": "string",
"uploadedBefore": "string",
"task": "string",
"taskExact": "string",
"taskMissing": false,
"outcome": "success",
"tag": "string",
"attribute": {},
"splitTag": "test",
"versionSplit": "test",
"durationMin": 0,
"durationMax": 0,
"durationMaxExclusive": 0,
"subtaskCountMin": 0,
"subtaskCountMax": 0,
"subtaskCountMaxExclusive": 0,
"cameraCountMin": 0,
"cameraCountMax": 0,
"cameraCountMaxExclusive": 0,
"fpsMin": 0,
"fpsMax": 0,
"fpsMaxExclusive": 0,
"idleFractionMin": 0,
"idleFractionMax": 0,
"idleFractionMaxExclusive": 0,
"sceneId": "string",
"labelState": "approved",
"hasSubtasks": false,
"annotationJobId": "string",
"sort": "duration",
"order": "asc"
},
"shared": false,
"createdBy": "string",
"isMine": false,
"updatedAt": "string"
}
],
"nextPageToken": "string",
"meta": {
"pageSize": 0,
"totalCount": 0,
"truncated": false,
"requestId": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1